function generer(){
	//recupere les valeurs
	//alert(document.getElementById("colonne").value);
	var nbColonne = document.getElementById("colonne").value;
	var nbLigne = document.getElementById("ligne").value;

	//text de vérification
	document.getElementById("verif").innerHTML = "Carte de dimension " + nbColonne + "x" + nbLigne + " ";
	creerCarte(nbColonne, nbLigne);
}

function creerCarte(column, row){
	//creer la carte
	  var carte = document.createElement('div');
	  carte.className = "carte";
	  carte.id = "carte";

	  for(var i = 0; i < column*row; i++){
	  	var casee = document.createElement('div');
		casee.className = "case";
		carte.appendChild(casee);
	  }
	  
	  document.getElementById("conteneur").appendChild(carte);
	  
	  //mettre a jour la taille /!\ c'est ca le plus important
	  var newTaille = column * 3.2 + 1;
	  document.documentElement.style.setProperty('--taille', newTaille + "vw");

	  //afficher carte
	  var carteinser = document.getElementById("carte");
	  
}